GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List brands GETGet brand hub GETList brand engines GET
Brands

Errors

The error format and status codes the Gensiv API returns.

Get brand hub GET

Read a brand's details, brand hub and draft status.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Brands

List brands

GET
/brands

List the workspace's brands and the active brand.

With a session, lists the active workspace's brands. With an API key, lists the brands of the key's workspace and returns the first brand as active.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Response Body

Brands in the workspace

application/json
  1. response
  1. response
  2. …
items*array<>
activeBrandId*|

Null when the workspace has no brands

Formatuuid
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "domain": "string",      "logoUrl": "string",      "setupCompleted": true    }  ],  "activeBrandId": "4e6ef09b-4e20-463f-b88e-43108fa1bef0"}

Errors

The error format and status codes the Gensiv API returns.

Get brand hub GET

Read a brand's details, brand hub and draft status.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "setupCompleted": true
    }
  ],
  "activeBrandId": "4e6ef09b-4e20-463f-b88e-43108fa1bef0"
}